version: '3.6'
services:
  ftpd_server:
    image: stilliard/pure-ftpd
    container_name: pure-ftpd
    ports:
      - ${FTP_PORT}:${FTP_PORT}
      - ${FTP_PASSIVE_PORTS}:${FTP_PASSIVE_PORTS}
    volumes: # remember to replace /folder_on_disk/ with the path to where you want to store the files on the host machine
      - ./VOLUMES/ftp/data:/home/username/
      - ./VOLUMES/ftp/passwd:/etc/pure-ftpd/passwd
# uncomment for ssl/tls, see https://github.com/stilliard/docker-pure-ftpd#tls
#      - "/folder_on_disk/ssl:/etc/ssl/private/"
    environment:
      PUBLICHOST: ${PUBLICHOST}
      FTP_USER_NAME: ${FTP_USER_NAME}
      FTP_USER_PASS: ${FTP_USER_PASS}
      FTP_USER_HOME: ${FTP_USER_HOME}
      FTP_MAX_CLIENTS: ${FTP_MAX_CLIENTS}
      FTP_MAX_CONNECTIONS: ${FTP_MAX_CONNECTIONS}
# also for ssl/tls:
#      ADDED_FLAGS: "--tls=2"
    restart: always
    networks:
      - traefik


networks:
  traefik:
    external:
       name: traefik_app
  